<form [formGroup]="registerForm" novalidate (ngSubmit)="onSubmit()">
  <mat-card class="register-card">

    <!-- Title of the form -->
    <mat-card-header>
      <mat-card-title>Update Information user</mat-card-title>
    </mat-card-header>

    <!-- Content of the form -->
    <mat-card-content>

      <!-- First name and Last name row -->
      <div class="row">

        <!-- First name column -->
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="First name" formControlName="firstName">
            <mat-error *ngIf="registerForm.controls['firstName'].hasError('required')">
              First name is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>

        <!-- Last name column -->
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Last name" formControlName="lastName">
            <mat-error *ngIf="registerForm.controls['lastName'].hasError('required')">
              Last name is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <!-- Username and Email row -->
      <div class="row">

        <!-- Username column -->
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Username" formControlName="username">
            <mat-error *ngIf="registerForm.controls['username'].hasError('required')">
              Username is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>

        <!-- Email column -->
        <div class="col">
          <mat-form-field class="full-width">
            <input type="email" matInput placeholder="Email" formControlName="email">
            <mat-error *ngIf="registerForm.controls['email'].hasError('required')">
              Email is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <!-- Password row -->
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input type="password" matInput placeholder="Password" formControlName="password">
            <mat-error *ngIf="registerForm.controls['password'].hasError('required')">
              Password is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>

        <div class="col">
          <mat-form-field class="full-width">
            <input type="password" matInput placeholder="Confirm password" formControlName="confirmPassword">
            <mat-error *ngIf="registerForm.controls['confirmPassword'].hasError('notSame')">
              <strong>Required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <!-- Account number row -->
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Account number" formControlName="accountNumber">
            <mat-error *ngIf="registerForm.controls['accountNumber'].hasError('required')">
              Account number is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="primary" type="submit" [disabled]="registerForm.invalid">Update</button>
    </mat-card-actions>
  </mat-card>
</form>
